﻿@model crm.Domain.Entity.Reclamation

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_FrontLayout.cshtml";
}

<h2>Create</h2>

@using (Html.BeginForm("Create", "Reclamation", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Reclamation</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        
        <div class="form-group">
            <div class="col-md-10">
                @Html.EnumDropDownListFor(model => model.type, "Choisir type", new { @class = "form-control", type = "text", @id = "TypeReclamation" })
                @Html.ValidationMessageFor(model => model.type, "",new { @class = "text-danger" })
            
                </div>
            
        </div>
            <span id="span1"></span>
                <script src="~/Scripts/jquery-3.3.1.js"></script>
                <script>
            $(document).ready(function(){
                $("#TypeReclamation").change(function () {
                    var a = $("#TypeReclamation Option:selected").text();
                    $(function () {
                        if (a == "Technique") {

                            $("#pr").show();
                        }
                        if (a == "Financiere") {

                            $("#pr").hide();
                        }
                        if (a == "Relationnelle") {
                            $("#pr").hide();
                        }

                    })
                   // $("#span1").text(a);
                })
            })
                </script>

        <div class="form-group">
            @Html.LabelFor(model => model.description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.description, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
            </div>
        </div>     
       
        <div class="form-group" id="pr" style="display:none">
            @Html.LabelFor(model => model.produit, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("ProduitFK", (SelectList)ViewData["ListeProduits"], htmlAttributes: new { @class = "form-control"})
                @Html.ValidationMessageFor(model => model.ProduitFK)
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
